Dža ko lil

Gemini 2.5 Flash Image

Integriruj

Modelosko id gemini-25-flash-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-25-flash-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: $0.04 40 API krediti Phir les kate

Lel API klidin
Google Teksto ko Kip Sig #text-to-image

Google tekst-to-image modelo deš aspect ratio-enca, dži 4 kipo sa mangipeste thaj png, jpeg vaj webp rezultato

Google · Kip

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

•trubul 88 / 50000

Tekstoskere instrukcije vaš kipesko keripe.

aspect_ratio standardno 1:1

Aspect ratio vaš rezultatosko kipo.

num_images standardno 1

Manglo kipoqo gin vaš generiripe.

Lučhe output_format · safety_tolerance · seed · limit_generations
output_format standardno png

Fajlo-formato e rezultato kipoqo.

safety_tolerance standardno 4

Thov o content-moderation tolerance maškar najcikneder restriktivno level, 6, thaj najstriktneder level, 1, savo blokuil but kontento.

Seed value savo startarel randomone ginengo keripe.

POST /run/gemini-25-flash-image?wait=20 hesab → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gemini-25-flash-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Gemini 2.5 Flash Image

Kerel kipa andar tekstosko prompto dži 50,000 karakterura. E proporcije džan 21:9 dži 9:16, thaj pe jekh mangipen šaj te aven 1 dži 4 kipa. O rezultato si standardno png, thaj šaj si jpeg thaj webp. O risposta anel tekstosko deskripcija pasha e kipura, thaj `limit_generations` šaj zorales del jekh rezultato pe prompto.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
prompttrubul
Tipstring
≤ 50,000 simbolura≥ 3 simbolura
Tekstoskere instrukcije vaš kipesko keripe.
num_imagesopcionalno num_outputs
Tipinteger
standardno1
1 – 4
Manglo kipoqo gin vaš generiripe.
seedopcionalno
Tipinteger | null
Seed value savo startarel randomone ginengo keripe.
aspect_ratioopcionalno
Tipenum
standardno1:1
21:916:93:24:35:41:14:53:42:39:16
Aspect ratio vaš rezultatosko kipo.
output_formatopcionalno
Tipenum
standardnopng
jpegpngwebp
Fajlo-formato e rezultato kipoqo.
safety_toleranceopcionalno
Tipenum
standardno4
123456
Thov o content-moderation tolerance maškar najcikneder restriktivno level, 6, thaj najstriktneder level, 1, savo blokuil but kontento.
limit_generationsopcionalno
Tipboolean
standardnotrue
Eksperimentalno limito le keripnasko: aktiviripe le `True`-sko čhinavel savorre instrukcije ando prompto pal o gin le kiponengo thaj mukhel numa 1 keripe ande svako promptosko ciklo.
trubul Kanonikano nav, vi akceptime

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gemini-25-flash-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
images
array of object {url, content_type, file_name, file_size, width, height}Kipo kerdine e modeloça.
description
stringDeskripcia savi džal le kerde kipenca.

Bute modeli: Teksto ko Kip

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/gemini-25-flash-image.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt